Package com.sun.jna.platform.win32

## Interface DsGetDC

    public interface DsGetDC

Ported from DsGetDC.h. Windows SDK 6.0a

Author:
  dblock[at]dblock.org

### Nested Class Summary

Nested Classes
`static class` `DsGetDC.DOMAIN_CONTROLLER_INFO` The DOMAIN_CONTROLLER_INFO structure is used with the DsGetDcName function to receive data about a domain controller.
`static class` `DsGetDC.DS_DOMAIN_TRUSTS` The DS_DOMAIN_TRUSTS structure is used with the DsEnumerateDomainTrusts function to contain trust data for a domain.
`static class` `DsGetDC.PDOMAIN_CONTROLLER_INFO` Pointer to DOMAIN_CONTROLLER_INFO.

### Field Summary

Fields
`static int` `DS_DOMAIN_DIRECT_INBOUND` Domain is directly trusting.
`static int` `DS_DOMAIN_DIRECT_OUTBOUND` Domain is directly trusted.
`static int` `DS_DOMAIN_IN_FOREST` Domain is a member of the forest.
`static int` `DS_DOMAIN_NATIVE_MODE` Primary domain is running in native mode.
`static int` `DS_DOMAIN_PRIMARY` Domain is the primary domain of queried server.
`static int` `DS_DOMAIN_TREE_ROOT` Domain is root of a tree in the forest.
`static int` `DS_DOMAIN_VALID_FLAGS` Valid domain flags.

### Field Detail

#### DS_DOMAIN_IN_FOREST

    static final int DS_DOMAIN_IN_FOREST

Domain is a member of the forest.

See Also:
  Constant Field Values

#### DS_DOMAIN_DIRECT_OUTBOUND

    static final int DS_DOMAIN_DIRECT_OUTBOUND

Domain is directly trusted.

See Also:
  Constant Field Values

#### DS_DOMAIN_TREE_ROOT

    static final int DS_DOMAIN_TREE_ROOT

Domain is root of a tree in the forest.

See Also:
  Constant Field Values

#### DS_DOMAIN_PRIMARY

    static final int DS_DOMAIN_PRIMARY

Domain is the primary domain of queried server.

See Also:
  Constant Field Values

#### DS_DOMAIN_NATIVE_MODE

    static final int DS_DOMAIN_NATIVE_MODE

Primary domain is running in native mode.

See Also:
  Constant Field Values

#### DS_DOMAIN_DIRECT_INBOUND

    static final int DS_DOMAIN_DIRECT_INBOUND

Domain is directly trusting.

See Also:
  Constant Field Values

#### DS_DOMAIN_VALID_FLAGS

    static final int DS_DOMAIN_VALID_FLAGS

Valid domain flags.

See Also:
  Constant Field Values